ServantLocatorPOA (Java SE 10 & JDK 10 )
Keywords: org.omg.PortableServer.ServantLocatorPOA class

Module java.corba
Package org.omg.PortableServer

## Class ServantLocatorPOA

- java.lang.Object
- - org.omg.PortableServer.Servant
  - - org.omg.PortableServer.ServantLocatorPOA

- All Implemented Interfaces:
    `InvokeHandler`, `ServantLocatorOperations`, `ServantManagerOperations`

      public abstract class ServantLocatorPOA
      extends Servant
      implements ServantLocatorOperations, InvokeHandler

  When the POA has the NON_RETAIN policy it uses servant managers that are ServantLocators. Because the POA knows that the servant returned by this servant manager will be used only for a single request, it can supply extra information to the servant manager's operations and the servant manager's pair of operations may be able to cooperate to do something different than a ServantActivator. When the POA uses the ServantLocator interface, immediately after performing the operation invocation on the servant returned by preinvoke, the POA will invoke postinvoke on the servant manager, passing the ObjectId value and the Servant value as parameters (among others). This feature may be used to force every request for objects associated with a POA to be mediated by the servant manager.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServantLocatorPOA()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ServantLocator` | `_this()` |
    `ServantLocator` | `_this​(ORB orb)` |

    - ### Methods declared in interface org.omg.CORBA.portable.InvokeHandler

      `_invoke`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in class org.omg.PortableServer.Servant

      `_all_interfaces, _default_POA, _get_delegate, _get_interface_def, _is_a, _non_existent, _object_id, _orb, _poa, _set_delegate, _this_object, _this_object`

    - ### Methods declared in interface org.omg.PortableServer.ServantLocatorOperations

      `postinvoke, preinvoke`

- - ### Constructor Detail

    - #### ServantLocatorPOA

          public ServantLocatorPOA()

  - ### Method Detail

    - #### _this

          public ServantLocator _this()

    - #### _this

          public ServantLocator _this​(ORB orb)